Bug 395655 - Show multiple timezones in pop-up, not just the tooltip
Summary: Show multiple timezones in pop-up, not just the tooltip
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Digital Clock (show other bugs)
Version: 5.12.4
Platform: Other Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-20 15:12 UTC by Nate Graham
Modified: 2020-03-13 04:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.19.0


Attachments
World clocks and at least one event plugin (36.65 KB, image/png)
2018-06-20 15:51 UTC, Nate Graham
Details
World clocks but no event plugins (33.23 KB, image/png)
2018-06-20 15:51 UTC, Nate Graham
Details
Event plugin but no world clocks (24.48 KB, image/png)
2018-06-20 15:52 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-06-20 15:12:33 UTC
When you use the Digital Clock widget as a world clock by configuring multiple timezones, the only way to actually see the different times in those time zones is in the widget's tooltip. This is problematic for two reasons:

- The tooltip disappears after five seconds; you might need more time than that to find what you're looking for, especially if you have several times configured.

- There's no way to see the different times in the actual pop-up that appears when you left-click on the widget, so it's not so easy to find, and you can't make it temporarily persistent by pinning it open.
Comment 1 David Edmundson 2018-06-20 15:30:18 UTC
That's quite sensible, but there's one big hurdle. We already use the popup for the calendar.

I'd like to see a mockup (just sketch on paper is fine) of how we could encorporate the list of N timezones and calendar with events.

Alternatively: Should it be an option or even a separate widget.
Advantage of the latter is we can then simplify this timezone stuff out of the basic one.
Comment 2 Nate Graham 2018-06-20 15:51:33 UTC
Created attachment 113465 [details]
World clocks and at least one event plugin

Sure, I'm attaching three quick-and-dirty mockups.

This first one is how I'm imagining the pop-up could look with world clocks and at least one event plugin.
Comment 3 Nate Graham 2018-06-20 15:51:57 UTC
Created attachment 113466 [details]
World clocks but no event plugins
Comment 4 Nate Graham 2018-06-20 15:52:43 UTC
Created attachment 113467 [details]
Event plugin but no world clocks
Comment 5 Nate Graham 2018-06-20 16:04:07 UTC
One more disadvantage of the current UI: when the pop-up is pinned open, the tooltip doesn't appear on hover, so there's no way to view your world clocks.

I think there's a big advantage of adding this feature to the existing Digital Clock widget's main view: this widget is installed by default in everyone's panel. That makes the feature inherently discoverable--especially if we want to later make the optional event and world clock features more obvious by adding "+ add events..." and "+ add world clocks..." buttons to it somehow.
Comment 6 Nate Graham 2020-03-06 16:29:52 UTC
I've implemented this in the following patch: https://phabricator.kde.org/D27903
Comment 7 Nate Graham 2020-03-13 04:52:35 UTC
Git commit 2130c848e677d491687ee49f28b07a2ee6f8b7c7 by Nate Graham.
Committed on 13/03/2020 at 04:52.
Pushed by ngraham into branch 'master'.

[applet/digital-clock] Show time zones in expanded representation too

Summary:
Right now time zones are only shown in the tooltip, which is annoying since the tooltip
times out aftew a few seconds, so it often closes before I can find the timezone I'm
looking for.

This patch adds a view for the current tomezones in the expanded representation, and
implements a mockup in https://bugs.kde.org/show_bug.cgi?id=395655 showing a proposal
for how to present this information.

The Expanded Representation is also ported to Layouts in order to make this task easier.
FIXED-IN: 5.19.0

Test Plan:
Just calendar: {F8157434}

Calendar + events: {F8157435}

Calendar + time zones: {F8157436}

Calendar + events + time zones: {F8157437}

Reviewers: #vdg, #plasma, cblack

Reviewed By: #vdg, cblack

Subscribers: cblack, apol, plasma-devel

Tags: #plasma

Maniphest Tasks: T9222

Differential Revision: https://phabricator.kde.org/D27903

M  +358  -259  applets/digital-clock/package/contents/ui/CalendarView.qml
M  +0    -31   applets/digital-clock/package/contents/ui/Tooltip.qml
M  +30   -0    applets/digital-clock/package/contents/ui/main.qml

https://commits.kde.org/plasma-workspace/2130c848e677d491687ee49f28b07a2ee6f8b7c7